# Uses of Interface
org.eclipse.draw2d.RotatableDecoration

Packages that use RotatableDecoration
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of RotatableDecoration in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement RotatableDecoration
Modifier and Type
Class
Description
`class`
`PolygonDecoration`
A rotatable, polygon shaped decoration most commonly used for decorating the ends of `polylines`.
`class`
`PolylineDecoration`
A decorative Figure intended to be placed on a `Polyline`.
Methods in org.eclipse.draw2d that return RotatableDecoration
Modifier and Type
Method
Description
`protected RotatableDecoration`
PolylineConnection.`getSourceDecoration()`
`protected RotatableDecoration`
PolylineConnection.`getTargetDecoration()`
Methods in org.eclipse.draw2d with parameters of type RotatableDecoration
Modifier and Type
Method
Description
`void`
PolylineConnection.`setSourceDecoration(RotatableDecoration dec)`
Sets the decoration to be used at the start of the `Connection`.
`void`
PolylineConnection.`setTargetDecoration(RotatableDecoration dec)`
Sets the decoration to be used at the end of the `Connection`.